# ion-menu



<!-- Auto Generated Below -->


## Properties

#### contentId

string

The content's id the menu should use.


#### disabled

boolean

If true, the menu is disabled. Default `false`.


#### maxEdgeStart

number


#### menuId

string

An id for the menu.


#### persistent

boolean

If true, the menu will persist on child pages.


#### side



Which side of the view the menu should be placed. Default `"start"`.


#### swipeEnabled

boolean

If true, swiping the menu is enabled. Default `true`.


#### type

string

The display type of the menu. Default varies based on the mode,
see the `menuType` in the [config](../../config/Config). Available options:
`"overlay"`, `"reveal"`, `"push"`.


## Attributes

#### content-id

string

The content's id the menu should use.


#### disabled

boolean

If true, the menu is disabled. Default `false`.


#### max-edge-start

number


#### menu-id

string

An id for the menu.


#### persistent

boolean

If true, the menu will persist on child pages.


#### side



Which side of the view the menu should be placed. Default `"start"`.


#### swipe-enabled

boolean

If true, swiping the menu is enabled. Default `true`.


#### type

string

The display type of the menu. Default varies based on the mode,
see the `menuType` in the [config](../../config/Config). Available options:
`"overlay"`, `"reveal"`, `"push"`.


## Events

#### ionClose

Emitted when the menu is closed.


#### ionMenuChange


#### ionOpen

Emitted when the menu is open.


## Methods

#### close()


#### isActive()


#### isOpen()


#### open()


#### setOpen()


#### toggle()



----------------------------------------------

*Built with [StencilJS](https://stenciljs.com/)*
